/*
 * @(#)Kalkulacka
 *
 * Zakladni trida aplikace, ktera slouzi ke spousteni kalkulacky.
 *
 * @author     Lubos Pavlicek
 * @version    2.2 (28 September 2011)
 */
public class Kalkulacka 
{

    // datove atributy instanci
    private IKalkulator kalk;    
    private GrafikaKalkulacky gui;
    
    /**
     * Konstruktor pro vytvoreni instance tridy Kalkulacka
     */
    public Kalkulacka() {
        //Inicializujte atributy instance
        //kalk = new MaketaKalkulator();
        kalk = new MujKalkulator();
        gui = new GrafikaKalkulacky(kalk);
    }
    
    
    /**
     * metoda show zobrazi kalkulacku na obrazovce
     */
    public void show() {
        gui.setVisible();
    }

}
