import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 * Testovaci trida MujKalkulatorTest ... doplnte vlastni komentar
 *
 * @author     Luboš Pavlíček
 * @version    2.2 (28 September 2011)
 */
public class MujKalkulatorTest
{
    private MujKalkulator kalk;

    @Test
    public void testcCislice2(){
        kalk = new MujKalkulator();
        kalk.cislice(2);
        assertEquals(2,kalk.getHodnotaKZobrazeni());
    }

    @Test
    public void testCislice23(){
        kalk = new MujKalkulator();
        kalk.cislice(2);
        kalk.cislice(3);
        assertEquals(23,kalk.getHodnotaKZobrazeni());
    }

    @Test
    public void test23Plus(){
        kalk = new MujKalkulator();
        kalk.cislice(2);
        kalk.cislice(3);
        kalk.plus();
        assertEquals(23,kalk.getHodnotaKZobrazeni());
    }

    @Test
    public void test23Plus5(){
        kalk = new MujKalkulator();
        kalk.cislice(2);
        kalk.cislice(3);
        kalk.plus();
        kalk.cislice(5);
        assertEquals(5,kalk.getHodnotaKZobrazeni());
    }

    @Test
    public void test23Plus5RovnaSe(){
        kalk = new MujKalkulator();
        kalk.cislice(2);
        kalk.cislice(3);
        kalk.plus();
        kalk.cislice(5);
        kalk.rovnaSe();
        assertEquals(28,kalk.getHodnotaKZobrazeni());
    }

    @Test
    public void test23Plus5RovnaSe7(){
        kalk = new MujKalkulator();
        kalk.cislice(2);
        kalk.cislice(3);
        kalk.plus();
        kalk.cislice(5);
        kalk.rovnaSe();
        kalk.cislice(7);
        assertEquals(7,kalk.getHodnotaKZobrazeni());
    }

}
